import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import * as _backstage_plugin_auth_node from '@backstage/plugin-auth-node';
import { Profile } from 'passport';

/** @public */
declare const authModuleAzureEasyAuthProvider: _backstage_backend_plugin_api.BackendFeature;

/** @public */
type AzureEasyAuthResult = {
    fullProfile: Profile;
    accessToken?: string;
};

/** @public */
declare const azureEasyAuthAuthenticator: _backstage_plugin_auth_node.ProxyAuthenticator<void, AzureEasyAuthResult, {
    accessToken: string | undefined;
}>;

/** @public */
declare namespace azureEasyAuthSignInResolvers {
    const idMatchingUserEntityAnnotation: _backstage_plugin_auth_node.SignInResolverFactory<AzureEasyAuthResult, unknown>;
}

export { type AzureEasyAuthResult, azureEasyAuthAuthenticator, azureEasyAuthSignInResolvers, authModuleAzureEasyAuthProvider as default };
